package ink.wgink.module.examine.controller.route.paper;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * @Description: 试卷
 * @Author: WenG
 * @Date: 2022/5/16 22:26
 * @Version: 1.0
 **/
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "试卷路由")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/paper")
public class PaperRouteController {

    @GetMapping("save")
    public ModelAndView save() {
        ModelAndView mv = new ModelAndView("paper/save");
        return mv;
    }

    @GetMapping("update")
    public ModelAndView update() {
        ModelAndView mv = new ModelAndView("paper/update");
        return mv;
    }

    @GetMapping("list")
    public ModelAndView list() {
        ModelAndView mv = new ModelAndView("paper/list");
        return mv;
    }

}
